Subject: Re: What's wrong here
From: Arshad Sheikh <[email-masked]>
To: [email-masked]
Date: Wed, 21 Mar 2001 19:31:19 -0000

Thanks for the reply.

But since its just a 8mm 5GB tape drive and not a library so I think I can't
have any scratch volume, here is what I have got when I try to label a tape

tsm: TSM>label libvolume lib8mm tape01 checkin=scratch overwrite=yes
ANR8494E LABEL LIBVOLUME: An option specified is not valid for MANUAL
libraries.
ANS8001I Return code 3.

okay next I tried the same command without checkin=scratch statment and it
worked.

tsm: TSM>label libvolume lib8mm tape01 overwrite=yes
ANS8003I Process number 8 started.

tsm: TSM>q proc

Process Process Description  Status
  Number
-------- --------------------
------------------------------------------------
       8 LABEL LIBVOLUME      ANR8804I Labelling volume TAPE01 in library
                               LIB8MM.

tsm: TSM>q actlog begint=now-0:01

Date/Time            Message
--------------------
---------------------------------------------------------
03/21/01   11:29:16  ANR8372I 002: Remove 8MM volume TAPE01 from drive
DRV8MM
                      (/dev/mt0) of library LIB8MM.
03/21/01   11:29:16  ANR8800I LABEL LIBVOLUME for volume TAPE01 in library
                      LIB8MM completed successfully.
03/21/01   11:29:16  ANR0985I Process 8 for LABEL LIBVOLUME running in the
                      BACKGROUND completed with completion state SUCCESS at
                      11:29:16.

Its a single tape drive attached to the system. How can I define scratch
volume for it. In stgpool I put maxscratch parameter as 10.

Arshad

>From: George Lesho <[email-masked]>
>Reply-To: "ADSM: Dist Stor Manager" <[email-masked]>
>To: [email-masked]
>Subject: Re: What's wrong here
>Date: Wed, 21 Mar 2001 13:06:11 -0600
>
>Arshad, It would seem that there are not scratch volumes available for use
>as a
>db backup tape. Try the following select at your dsmadmc prompt  to
>identify how
>many scratch tapes are in your library:
>
>select count(*) as num_scratch_tapes from libvolumes where status='Scratch'
>
>George Lesho
>Storage/System Admin
>AFC Enterprises
>
>
>
>
>
>Arshad Sheikh <[email-masked]> on 03/21/2001 11:32:14 AM
>
>Please respond to "ADSM: Dist Stor Manager" <[email-masked]>
>
>To:   [email-masked]
>cc:    (bcc: George Lesho/Partners/AFC)
>Fax to:
>Subject:  What's wrong here
>
>
>
>Hi there,
>
>I am a newbie so forgive my naiveness. I want to setup TSM 3.7 on a box
>with
>8mm drive, so I create a library, drive,devclass,stgpool and label my
>volume. I also created the domain,policyset,mgmtclass and copypool for
>backing up files and register the node in it.
>Now when I tried to do a db backup
>
>backup db devclass=c8mm type=full
>
>I got the following from actlog
>
>03/21/01   09:10:51  ANR2017I Administrator ADMIN issued command: BACKUP DB
>                       devclass=class8mm type=full
>03/21/01   09:10:51  ANR0984I Process 6 for DATABASE BACKUP started in the
>                       BACKGROUND at 09:10:51.
>03/21/01   09:10:51  ANR2280I Full database backup started as process 6.
>03/21/01   09:10:51  ANR8447E No drives are currently available in library
>                       LIB8MM.
>03/21/01   09:10:51  ANR1404W Scratch volume mount request denied - mount
>                       failed.
>03/21/01   09:10:51  ANR4578E Database backup/restore terminated - required
>                       volume was not mounted.
>03/21/01   09:10:51  ANR0985I Process 6 for DATABASE BACKUP running in the
>                       BACKGROUND completed with completion state FAILURE
>at
>                       09:10:51.
>
>
>What I need to do to make it work, I already labeled the volume, its
>already
>inserted in the drive. What is wrong here?? Checkin volume command only
>works with automated libraries so I can't check in the volume.
>
>Any help is deeply appreciated.
>
>Arshad.
>_________________________________________________________________
>Get your FREE download of MSN Explorer at http://explorer.msn.com

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com